## Struct once_block_flag

boost::log::once_block_flag — A flag to detect if a code block has already been executed.

## Synopsis

    // In header: <boost/log/utility/once_block.hpp>

    struct once_block_flag {
    };

## Description

This structure should be used in conjunction with the `BOOST_LOG_ONCE_BLOCK_FLAG` macro. Usage example:

`once_block_flag flag = BOOST_LOG_ONCE_BLOCK_INIT;`

`void foo() { BOOST_LOG_ONCE_BLOCK_FLAG(flag) { puts("Hello, world once!"); } }`